## lsyncd 2.1.6

=== CMakeLists.txt ===
# preamble
project( Lsyncd )
cmake_minimum_required( VERSION 2.8 )
set( LSYNCD_VERSION 2.1.6 )
set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/" )


# finding Lua
find_package(Lua REQUIRED)
include_directories ( ${LUA_INCLUDE_DIR} )


# setting Lsyncd sources
set( LSYNCD_SRC lsyncd.c runner.c defaults.c )


# selecting the file notification mechanisms to compile against
option( WITH_INOTIFY "Compile with inotify file notifications (Linux)" ON )
option( WITH_FSEVENTS "Compile with inotify file notifications (OSX)" OFF )

if( WITH_INOTIFY )
	set( LSYNCD_SRC ${LSYNCD_SRC} inotify.c )
endif( WITH_INOTIFY )

if( WITH_FSEVENTS )
	set( LSYNCD_SRC ${LSYNCD_SRC} fsevents.c )

	option( XNU_DIR "Path to the xnu sources" )

#	if( NOT XNU_DIR/bsd/sys/fsevents.h )
#		message( SEND_ERROR "Cannot find bsd/sys/fsevents.h in XNU_DIR" )
#	endif( )

	include_directories( ${XNU_DIR} )
endif( WITH_FSEVENTS )


# generating the config.h file
configure_file (
	"${PROJECT_SOURCE_DIR}/config.h.in"
	"${PROJECT_BINARY_DIR}/config.h"
)
include_directories("${PROJECT_BINARY_DIR}")


# building and compiling the part of lsyncd written in Lua
# also called "runner"
add_custom_command( OUTPUT runner.c 
    COMMAND ${CMAKE_COMMAND} -E echo "Generating built-in runner linkable" 
	COMMAND ${LUA_EXECUTABLE} ${PROJECT_SOURCE_DIR}/bin2carray.lua runner.out runner runner.c
    DEPENDS runner.out 
) 

# this supposes the Lua compiler 'luac' is sitting right next to the Lua interpreter 'lua'
add_custom_command( OUTPUT runner.out
    COMMAND ${CMAKE_COMMAND} -E echo "Compiling built-in runner" 
	COMMAND ${LUA_EXECUTABLE}c -o runner.out ${PROJECT_SOURCE_DIR}/lsyncd.lua
    DEPENDS ${PROJECT_SOURCE_DIR}/lsyncd.lua
) 

# building and compiling the built-in default configs:
#   rsync rysnc-ssh and direct
add_custom_command( OUTPUT defaults.c 
    COMMAND ${CMAKE_COMMAND} -E echo "Generating built-in default configs" 
	COMMAND ${LUA_EXECUTABLE} ${PROJECT_SOURCE_DIR}/bin2carray.lua defaults.out defaults defaults.c
    DEPENDS defaults.out 
) 

set( DEFAULT_CONFIGS
	${PROJECT_SOURCE_DIR}/default.lua
	${PROJECT_SOURCE_DIR}/default-rsync.lua
	${PROJECT_SOURCE_DIR}/default-rsyncssh.lua
	${PROJECT_SOURCE_DIR}/default-direct.lua
)

add_custom_command( OUTPUT defaults.out
    COMMAND ${CMAKE_COMMAND} -E echo "Compiling built-in default configs"
	COMMAND ${LUA_EXECUTABLE}c -o defaults.out ${DEFAULT_CONFIGS}
    DEPENDS ${DEFAULT_CONFIGS}
) 

# the manpage
add_custom_command( OUTPUT doc/lsyncd.1
    COMMAND ${CMAKE_COMMAND} -E echo "Updating the manpage"
	COMMAND a2x --format=manpage doc/lsyncd.1.txt
    DEPENDS doc/lsyncd.1.txt
)
add_custom_target( manpage ALL DEPENDS doc/lsyncd.1 )

# compiling and linking it all together
add_executable( lsyncd ${LSYNCD_SRC} )
target_link_libraries( lsyncd ${LUA_LIBRARIES} )

install( TARGETS lsyncd RUNTIME DESTINATION bin )
install( FILES doc/lsyncd.1 DESTINATION man)

## lsyncd 1.34

=== debian/changelog ===
lsyncd (1.34-1) unstable; urgency=low

  * New upstream version.
  * remove
    debian/patches/01-fix-spelling-error-in-lsyncd.conf.xml-manpage.patch,
    debian/patches/02-fix-lsyncd.conf.xml-manpage-location.patch and
    debian/patches/series all patches have been applied upstream
  * debian/control: Bump Standards-Version to 3.9.0 (no changes
    necessary)

 -- Jan Dittberner <jandd@debian.org>  Sun, 11 Jul 2010 23:22:25 +0200

lsyncd (1.33-1) unstable; urgency=low

  * New upstream version.
  * updated debian/watch to use googlecode redirector
  * refresh debian/patches/01-fix-spelling-error-in-lsyncd.conf.xml-
    manpage.patch
  * run autoreconf in debian/rules

 -- Jan Dittberner <jandd@debian.org>  Sat, 05 Jun 2010 10:59:19 +0200

lsyncd (1.26-1) unstable; urgency=low

  * Initial release. (Closes: #570296)

 -- Jan Dittberner <jandd@debian.org>  Sat, 20 Feb 2010 15:04:05 +0100

=== debian/control ===
Source: lsyncd
Section: admin
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Standards-Version: 3.9.0
Build-Depends: debhelper (>= 7.0.50), libxml2-dev, automake
Homepage: http://code.google.com/p/lsyncd/
Vcs-Git: git://git.debian.org/collab-maint/lsyncd.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/lsyncd.git

Package: lsyncd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rsync
Description: daemon to synchronize local directories using rsync
 Lsyncd (Live syncing mirror daemon) uses rsync to synchronize local
 directories with a remote machine running rsyncd. Lsyncd watches
 multiple directories trees through inotify. The first step after
 adding the watches is to rsync all directories with the remote host,
 and then sync single file by collecting the inotify events. So lsyncd
 is a light-weight live mirror solution that should be easy to install
 and use while blending
 well with your system.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	aclocal && automake && autoreconf
	dh_auto_configure $@

override_dh_auto_test:
# there is no real test suite only a test target in upstream's Makefile

clean:
	rm -f aclocal.m4 Makefile.in
	rm -rf autom4te.cache

%:
	dh $@

=== debian/watch ===
version=3
http://googlecode.debian.net/p/lsyncd/lsyncd-(\d\.\d+)\.tar\.gz

## lsyncd 2.0.4

=== debian/changelog ===
lsyncd (2.0.4-1) unstable; urgency=low

  * New upstream version
  * remove debian/patches/fix_spelling_errors.patch that has been
    applied upstream

 -- Jan Dittberner <jandd@debian.org>  Sun, 27 Mar 2011 11:06:53 +0200

lsyncd (2.0.3-1) unstable; urgency=low

  * New upstream version.
  * refresh patches

 -- Jan Dittberner <jandd@debian.org>  Fri, 25 Feb 2011 19:31:54 +0100

lsyncd (2.0.2-3) unstable; urgency=low

  * Add debian/lsyncd.init (Closes: #614391) thanks to Ignace Mouzannar for the
    base script
  * add documentation on how to use the init script in
    debian/README.Debian
  * add debian/patches/dont_install_lua_as_docs.patch to not install lua
    scripts to the documentation dir (they are installed as examples by
    debian/rules)

 -- Jan Dittberner <jandd@debian.org>  Tue, 22 Feb 2011 21:33:55 +0100

lsyncd (2.0.2-2) unstable; urgency=low

  * Upload to unstable

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Feb 2011 11:33:59 +0100

lsyncd (2.0.2-1) experimental; urgency=low

  * New upstream version.
  * refresh debian/patches/fix_spelling_errors.patch
    b/debian/patches/fix_spelling_errors.patch

 -- Jan Dittberner <jandd@debian.org>  Fri, 21 Jan 2011 19:53:55 +0100

lsyncd (2.0.0-1) experimental; urgency=low

  * New upstream version.
  * debian/control:
    - add liblua5.1-0-dev, lua5.1, pkg-config, asciidoc, xsltproc, docbook-xml
      and docbook-xsl to Build-Depends
    - add lua5.1 to Depends
  * add --with autotools_dev to debian/rules
  * update debian/lsyncd.docs (all documentation previously mentioned there got
    removed, added doc/lsyncd.1.txt instead)
  * update debian/lsyncd.examples to include the examples directory
  * replace debian/patches/0001-fix-spelling-error.patch with
    debian/patches/fix_spelling_errors.patch to fix spelling errors

 -- Jan Dittberner <jandd@debian.org>  Tue, 21 Dec 2010 15:08:31 +0100

lsyncd (1.39-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Sat, 09 Oct 2010 21:28:28 +0200

lsyncd (1.38-1) experimental; urgency=low

  * New upstream version.
  * change debian/watch to remove the need for the Google code
    redirector

 -- Jan Dittberner <jandd@debian.org>  Thu, 02 Sep 2010 19:51:08 +0200

lsyncd (1.37-1) experimental; urgency=low

  * New upstream version.
  * debian/control:
    - bump Standards-Version to 3.9.1
    - change debhelper build dependency to 7.0.50~
  * add debian/patches/0001-fix-spelling-error.patch and
    debian/patches/series to fix spelling errors in manual pages

 -- Jan Dittberner <jandd@debian.org>  Tue, 17 Aug 2010 11:19:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: admin
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
-Standards-Version: 3.9.0
-Build-Depends: debhelper (>= 7.0.50), libxml2-dev, automake
+Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), libxml2-dev, automake, liblua5.1-0-dev,
+ lua5.1, pkg-config, asciidoc, xsltproc, docbook-xml, docbook-xsl
 Homepage: http://code.google.com/p/lsyncd/
 Vcs-Git: git://git.debian.org/collab-maint/lsyncd.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/lsyncd.git
 
 Package: lsyncd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, rsync
+Depends: ${shlibs:Depends}, ${misc:Depends}, rsync, lua5.1
 Description: daemon to synchronize local directories using rsync
  Lsyncd (Live syncing mirror daemon) uses rsync to synchronize local
  directories with a remote machine running rsyncd. Lsyncd watches

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	rm -rf autom4te.cache
 
 %:
-	dh $@
+	dh --with autotools_dev $@

## lsyncd 2.0.5

=== debian/changelog ===
lsyncd (2.0.5-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - add autotools-dev to Build-Depends (fixes Lintian
      error "missing-build-dependency-for-dh-addon")
    - bump Standards-Version to 3.9.2 (no changes needed)
  * refresh debian/patches/dont_install_lua_as_docs.patch
  * update debian/copyright format
  * add status command to debian/lsyncd.init (fixes Lintian complaint
    "init.d-script-does-not-implement-optional-option")

 -- Jan Dittberner <jandd@debian.org>  Thu, 12 Jan 2012 00:57:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7.0.50~), libxml2-dev, automake, liblua5.1-0-dev,
- lua5.1, pkg-config, asciidoc, xsltproc, docbook-xml, docbook-xsl
+ lua5.1, pkg-config, asciidoc, xsltproc, docbook-xml, docbook-xsl,
+ autotools-dev
 Homepage: http://code.google.com/p/lsyncd/
 Vcs-Git: git://git.debian.org/collab-maint/lsyncd.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/lsyncd.git

## lsyncd 2.0.7

=== debian/changelog ===
lsyncd (2.0.7-3+deb7u1) wheezy-security; urgency=high

  * fix security issue CVE-2014-8990 that allows code execution via shell
    characters in file names and denial of service scenarios by applying
    debian/patches/fix-CVE-2014-8990-shell-escapes.patch (Closes: #767227)

 -- Jan Dittberner <jandd@debian.org>  Mon, 29 Dec 2014 11:29:15 +0100

lsyncd (2.0.7-3) unstable; urgency=low

  * fix breakage introduced when trying to fix #673387, PIDFILE was not
    defined before DAEMON_ARGS in debian/lsyncd.init

 -- Jan Dittberner <jandd@debian.org>  Sat, 19 May 2012 00:50:59 +0200

lsyncd (2.0.7-2) unstable; urgency=low

  * fix lsyncd init script stores the wrong PID in /var/run/lsyncd.pid so
    cannot stop it by adding -pidfile option to debian/lsyncd.init's
    DAEMON_ARGS (Closes: #673387)
  * debian/rules: fix FTBFS twice in a row
    - override_dh_clean instead of clean
    - remove generated configure
  * enable hardening build flags
    - add dpkg-dev (>= 1.16.1~) to Build-Depends
    - add DPKG_EXPORT_BUILDFLAGS=1 and include
      /usr/share/dpkg/buildflags.mk in debian/rules

 -- Jan Dittberner <jandd@debian.org>  Fri, 18 May 2012 12:23:25 +0200

lsyncd (2.0.7-1) unstable; urgency=low

  * New upstream version
  * refresh debian/patches/dont_install_lua_as_docs.patch
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Jan Dittberner <jandd@debian.org>  Wed, 04 Apr 2012 14:17:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7.0.50~), libxml2-dev, automake, liblua5.1-0-dev,
  lua5.1, pkg-config, asciidoc, xsltproc, docbook-xml, docbook-xsl,
- autotools-dev
+ autotools-dev, dpkg-dev (>= 1.16.1~)
 Homepage: http://code.google.com/p/lsyncd/
 Vcs-Git: git://git.debian.org/collab-maint/lsyncd.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/lsyncd.git

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	aclocal && automake && autoreconf
	dh_auto_configure $@

override_dh_auto_test:
# there is no real test suite only a test target in upstream's Makefile

override_dh_clean:
	rm -f aclocal.m4 Makefile.in configure
	rm -rf autom4te.cache
	dh_clean

%:
	dh --with autotools_dev $@

## lsyncd 2.1.5

=== debian/changelog ===
lsyncd (2.1.5-2) unstable; urgency=high

  * fix security issue CVE-2014-8990 that allows code execution via shell
    characters in file names and denial of service scenarios by applying
    debian/patches/fix-CVE-2014-8990-shell-escapes.patch (Closes: #767227)

 -- Jan Dittberner <jandd@debian.org>  Mon, 29 Dec 2014 11:36:43 +0100

lsyncd (2.1.5-1) unstable; urgency=low

  * New upstream version (Closes: #707328).
  * refresh debian/patches/dont_install_lua_as_docs.patch
  * debian/control:
    - change Homepage to github page
    - switch to canonical Vcs-* URLs
    - bump Standards-Version to 3.9.4 (no changes)
  * debian/rules:
    - add --add-missing to automake invocation to add missing test-driver and
      remove test-driver in clean target (Closes: #713793)
  * debian/lsyncd.init:
    - don't source /lib/init/vars.sh and don't use $VERBOSE, don't use
      --make-pidfile
    - add --nicelevel to lsyncd invocation

 -- Jan Dittberner <jandd@debian.org>  Sat, 22 Jun 2013 23:14:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 7.0.50~), libxml2-dev, automake, liblua5.1-0-dev,
  lua5.1, pkg-config, asciidoc, xsltproc, docbook-xml, docbook-xsl,
  autotools-dev, dpkg-dev (>= 1.16.1~)
-Homepage: http://code.google.com/p/lsyncd/
-Vcs-Git: git://git.debian.org/collab-maint/lsyncd.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/lsyncd.git
+Homepage: https://github.com/axkibe/lsyncd
+Vcs-Git: git://anonscm.debian.org/collab-maint/lsyncd.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lsyncd.git
 
 Package: lsyncd
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	aclocal && automake --add-missing && autoreconf
	dh_auto_configure $@

override_dh_auto_test:
# there is no real test suite only a test target in upstream's Makefile

override_dh_clean:
	rm -f aclocal.m4 Makefile.in configure test-driver
	rm -rf autom4te.cache
	dh_clean

%:
	dh --with autotools_dev $@

=== debian/watch ===
version=3

opts=downloadurlmangle=s#.*(lsyncd-([\d.]+)\.tar\.gz).*#http://lsyncd.googlecode.com/files/$1#,filenamemangle=s#.*(lsyncd-([\d.]+)\.tar\.gz).*#$1# \
    http://code.google.com/p/lsyncd/downloads/list ^.*detail\?name=lsyncd-([\d.]+)\.tar\.gz.*

## lsyncd 2.1.6

=== debian/changelog ===
lsyncd (2.1.6-1) unstable; urgency=medium

  * New upstream release
  * Fix "attempt to call local 'path2' (a string value) with
    default.rsyncssh target" (Closes: #801761)
  * drop debian/patches/fix-CVE-2014-8990-shell-escapes.patch included
    in upstream release
  * remove debian/patches/dont_install_lua_as_docs.patch, upstream
    switched to cmake
  * remove automake and autotools-dev from Build-Depends, add cmake
  * remove autotools specific rules from debian/rules
  * Bump debian/compat and debhelper Build-Depends to 9
  * Replace obsolete Google code URL with new Github URL
  * switch debian/copyright to 1.0 format
  * Bump Standards-Version to 3.9.8 (no changes)
  * add debian/patches/out-of-tree-manpage-build.patch to support
    building the man page outside of the source tree
  * Add Depends lsb-base (>= 3.0-6) needed by init script
  * Add Depends libxml2-utils needed by asciidoc build for manpage

 -- Jan Dittberner <jandd@debian.org>  Sun, 18 Dec 2016 20:21:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,26 @@
 Section: admin
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 7.0.50~), libxml2-dev, automake, liblua5.1-0-dev,
- lua5.1, pkg-config, asciidoc, xsltproc, docbook-xml, docbook-xsl,
- autotools-dev, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.8
+Build-Depends: asciidoc,
+               cmake,
+               debhelper (>= 9),
+               docbook-xml,
+               docbook-xsl,
+               dpkg-dev (>= 1.16.1~),
+               liblua5.1-0-dev,
+               libxml2-dev,
+               libxml2-utils,
+               lua5.1,
+               pkg-config,
+               xsltproc
 Homepage: https://github.com/axkibe/lsyncd
 Vcs-Git: git://anonscm.debian.org/collab-maint/lsyncd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lsyncd.git
 
 Package: lsyncd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, rsync, lua5.1
+Depends: lsb-base (>= 3.0-6), lua5.1, rsync, ${misc:Depends}, ${shlibs:Depends}
 Description: daemon to synchronize local directories using rsync
  Lsyncd (Live syncing mirror daemon) uses rsync to synchronize local
  directories with a remote machine running rsyncd. Lsyncd watches

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	dh_auto_configure $@

override_dh_auto_test:
# there is no real test suite only a test target in upstream's Makefile

override_dh_clean:
	rm -f test-driver
	dh_clean

%:
	dh $@

## lsyncd 2.2.3

=== CMakeLists.txt ===
# preamble
project( Lsyncd )
cmake_minimum_required( VERSION 2.8 )
set( LSYNCD_VERSION 2.2.3 )
set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/" )


# finding Lua
find_package( Lua REQUIRED )
include_directories ( ${LUA_INCLUDE_DIR} )


# setting Lsyncd sources
set( LSYNCD_SRC lsyncd.c runner.c defaults.c )


# selecting the file notification mechanisms to compile against
option( WITH_INOTIFY "Compile with inotify file notifications (Linux)" ON )
option( WITH_FSEVENTS "Compile with inotify file notifications (OSX)" OFF )

if( WITH_INOTIFY )
	set( LSYNCD_SRC ${LSYNCD_SRC} inotify.c )
endif( WITH_INOTIFY )

if( WITH_FSEVENTS )
	set( LSYNCD_SRC ${LSYNCD_SRC} fsevents.c )

	option( XNU_DIR "Path to the xnu sources" )

#	if( NOT XNU_DIR/bsd/sys/fsevents.h )
#		message( SEND_ERROR "Cannot find bsd/sys/fsevents.h in XNU_DIR" )
#	endif( )

	include_directories( ${XNU_DIR} )
endif( WITH_FSEVENTS )


# generating the config.h file
configure_file (
	"${PROJECT_SOURCE_DIR}/config.h.in"
	"${PROJECT_BINARY_DIR}/config.h"
)
include_directories("${PROJECT_BINARY_DIR}")


# building and compiling the part of lsyncd written in Lua
# also called "runner"
add_custom_command( OUTPUT runner.c
	COMMAND ${CMAKE_COMMAND} -E echo "Generating built-in runner linkable"
	COMMAND ${LUA_EXECUTABLE} ${PROJECT_SOURCE_DIR}/bin2carray.lua runner.out runner runner.c
	DEPENDS runner.out
)

# this supposes the Lua compiler 'luac' is sitting right next to the Lua interpreter 'lua'
add_custom_command( OUTPUT runner.out
	COMMAND ${CMAKE_COMMAND} -E echo "Compiling built-in runner"
	COMMAND ${LUA_COMPILER} -o runner.out ${PROJECT_SOURCE_DIR}/lsyncd.lua
	DEPENDS ${PROJECT_SOURCE_DIR}/lsyncd.lua
)

# building and compiling the built-in default configs:
#   rsync rysnc-ssh and direct
add_custom_command( OUTPUT defaults.c
	COMMAND ${CMAKE_COMMAND} -E echo "Generating built-in default configs"
	COMMAND ${LUA_EXECUTABLE} ${PROJECT_SOURCE_DIR}/bin2carray.lua defaults.out defaults defaults.c
	DEPENDS defaults.out
)

set( DEFAULT_CONFIGS
	${PROJECT_SOURCE_DIR}/default.lua
	${PROJECT_SOURCE_DIR}/default-rsync.lua
	${PROJECT_SOURCE_DIR}/default-rsyncssh.lua
	${PROJECT_SOURCE_DIR}/default-direct.lua
)

add_custom_command( OUTPUT defaults.out
	COMMAND ${CMAKE_COMMAND} -E echo "Compiling built-in default configs"
	COMMAND ${LUA_COMPILER} -o defaults.out ${DEFAULT_CONFIGS}
	DEPENDS ${DEFAULT_CONFIGS}
)

# the manpage
add_custom_target( manpage
	COMMAND ${CMAKE_COMMAND} -E echo "Updating the manpage"
	COMMAND a2x --format=manpage doc/manpage/lsyncd.1.txt
	DEPENDS doc/manpage/lsyncd.1.txt
)

add_custom_target( tests
	COMMAND echo "Running the tests"
	COMMAND echo "Note you are expected to:"
	COMMAND echo "  * have lua-posix installed"
	COMMAND echo "  * have a passwordless ssh access to localhost"
	COMMAND ${LUA_EXECUTABLE} tests/schedule.lua
	COMMAND ${LUA_EXECUTABLE} tests/l4rsyncdata.lua
	COMMAND ${LUA_EXECUTABLE} tests/filter-rsync.lua
	COMMAND ${LUA_EXECUTABLE} tests/exclude-rsync.lua
	COMMAND ${LUA_EXECUTABLE} tests/exclude-rsyncssh.lua
	COMMAND ${LUA_EXECUTABLE} tests/churn-rsync.lua
	COMMAND ${LUA_EXECUTABLE} tests/churn-rsyncssh.lua
	COMMAND ${LUA_EXECUTABLE} tests/churn-direct.lua
	COMMAND echo "Finished all successfull!"
)

# compiling and linking it all together
add_executable( lsyncd ${LSYNCD_SRC} )
target_link_libraries( lsyncd ${LUA_LIBRARIES} )

install( TARGETS lsyncd RUNTIME DESTINATION bin )
install( FILES doc/manpage/lsyncd.1 DESTINATION man )

=== debian/changelog ===
lsyncd (2.2.3-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 06:57:38 +0200

lsyncd (2.2.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Jan Dittberner ]
  * New upstream version (Closes: #862747)
  * Refresh debian/patches/out-of-tree-manpage-build.patch
  * Update lua dependencies to lua 5.3
  * Fix paths in debian/lsyncd.docs
  * Add DEB_BUILD_MAINT_OPTIONS = hardening=+all to debian/rules to
    improve hardening
  * debian/control: bump Standards-Version to 4.3.0 (no changes)
  * Update debian/copyright
  * debian/control: Update to debhelper >= 10, use compat level 10 in
    debian/compat

 -- Jan Dittberner <jandd@debian.org>  Mon, 31 Dec 2018 13:25:54 +0100

=== debian/control ===
Source: lsyncd
Section: admin
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Standards-Version: 4.3.0
Build-Depends: asciidoc,
               cmake,
               debhelper (>= 10),
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.16.1~),
               liblua5.3-dev,
               libxml2-dev,
               libxml2-utils,
               lua5.3,
               pkg-config,
               xsltproc
Homepage: https://github.com/axkibe/lsyncd
Vcs-Git: https://salsa.debian.org/debian/lsyncd.git
Vcs-Browser: https://salsa.debian.org/debian/lsyncd

Package: lsyncd
Architecture: any
Depends: lsb-base (>= 3.0-6), lua5.3, rsync, ${misc:Depends}, ${shlibs:Depends}
Description: daemon to synchronize local directories using rsync
 Lsyncd (Live syncing mirror daemon) uses rsync to synchronize local
 directories with a remote machine running rsyncd. Lsyncd watches
 multiple directories trees through inotify. The first step after
 adding the watches is to rsync all directories with the remote host,
 and then sync single file by collecting the inotify events. So lsyncd
 is a light-weight live mirror solution that should be easy to install
 and use while blending
 well with your system.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
+DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
 override_dh_auto_configure:
 	dh_auto_configure $@

=== debian/watch ===
version=3
https://github.com/axkibe/lsyncd/releases ^/axkibe/lsyncd/archive/release-([\d.]+)\.tar\.gz$
